### Function

# GLib Thread create_full

deprecated: 2.32

#### Declaration [src]

    GThread*
    g_thread_create_full (
      GThreadFunc func,
      gpointer data,
      gulong stack_size,
      gboolean joinable,
      gboolean bound,
      GThreadPriority priority,
      GError** error
    )

#### Description [src]

This function creates a new thread.

Deprecated since: 2.32

The `bound` and `priority` arguments are now ignored. Use g_thread_new().

This function is not directly available to language bindings.

#### Parameters

`func`

  Type: `GThreadFunc`

  A function to execute in the new thread.

`data`

  Type: `gpointer`

  An argument to supply to the new thread.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`stack_size`

  Type: `gulong`

  A stack size for the new thread.

`joinable`

  Type: `gboolean`

  Should this thread be joinable?

`bound`

  Type: `gboolean`

  Ignored.

`priority`

  Type: `GThreadPriority`

  Ignored.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GThread`

The new `GThread` on success.

The caller of the function takes ownership of the data, and is responsible for freeing it.